org.apache.jmeter.gui.tree

## Class JMeterTreeTransferHandler

- java.lang.Object
- - javax.swing.TransferHandler
  - - org.apache.jmeter.gui.tree.JMeterTreeTransferHandler

- All Implemented Interfaces:
    java.io.Serializable

      public class JMeterTreeTransferHandler
      extends javax.swing.TransferHandler

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.TransferHandler

      `javax.swing.TransferHandler.DropLocation, javax.swing.TransferHandler.TransferSupport`

  - ### Field Summary

    - ### Fields inherited from class javax.swing.TransferHandler

      `COPY, COPY_OR_MOVE, LINK, MOVE, NONE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JMeterTreeTransferHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canImport(javax.swing.TransferHandler.TransferSupport support)`
    `protected java.awt.datatransfer.Transferable` | `createTransferable(javax.swing.JComponent c)`
    `protected void` | `exportDone(javax.swing.JComponent source, java.awt.datatransfer.Transferable data, int action)`
    `int` | `getSourceActions(javax.swing.JComponent c)`
    `boolean` | `importData(javax.swing.TransferHandler.TransferSupport support)`

    - ### Methods inherited from class javax.swing.TransferHandler

      `canImport, exportAsDrag, exportToClipboard, getCopyAction, getCutAction, getDragImage, getDragImageOffset, getPasteAction, getVisualRepresentation, importData, setDragImage, setDragImageOffset`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JMeterTreeTransferHandler

          public JMeterTreeTransferHandler()

  - ### Method Detail

    - #### getSourceActions

          public int getSourceActions(javax.swing.JComponent c)

      Overrides:
        `getSourceActions` in class `javax.swing.TransferHandler`

    - #### createTransferable

          protected java.awt.datatransfer.Transferable createTransferable(javax.swing.JComponent c)

      Overrides:
        `createTransferable` in class `javax.swing.TransferHandler`

    - #### exportDone

          protected void exportDone(javax.swing.JComponent source,
                                    java.awt.datatransfer.Transferable data,
                                    int action)

      Overrides:
        `exportDone` in class `javax.swing.TransferHandler`

    - #### canImport

          public boolean canImport(javax.swing.TransferHandler.TransferSupport support)

      Overrides:
        `canImport` in class `javax.swing.TransferHandler`

    - #### importData

          public boolean importData(javax.swing.TransferHandler.TransferSupport support)

      Overrides:
        `importData` in class `javax.swing.TransferHandler`

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.